Subject: Re: PATCH powerpc: Merge asm-ppc*/sections.h

From: Gabriel Paubert <[email-masked]>
Date: Thu, 15 Sep 2005 22:57:09 +0200

On Thu, Sep 15, 2005 at 09:09:48PM +1000, Paul Mackerras wrote:
> Jon Loeliger writes:
> 
> > In the Grand Scheme of Things, removing things and making them
> > simpler seems a lofty goal. :-)   Anyone know of any pitfalls that
> > await me if I try to remove these sections, a la pmac and friends?
> 
> You'll probably get most objection from the PReP users, for whom
> getting back a few hundred kB is a big deal.  (Maybe we should just
> buy both of them a G5 or something. 8-)

Well, we have something like 20 or 25 VME machines controlling 
experiments here, some with only 16Mb of RAM. The lifetime
of these systems is often of the order of 20 years (we shall
finally get rid of our TMS9900 processors with 32kB in November,
they were bought in 1982 I believe).

So yes, I object strongly object if I don't have a way 
of removing useless PMAC code. The kernel is already very 
bloated compared with the 2.2 we started with, which was 
well below 1MB with the minimal setup: serial console, root 
on NFS, no swap, some locally modules to control the PCI<->VME 
bridge and what is behind on the VME bus. 

	Gabriel